tell application "Journler"
	set the_notes to {}
	set the_notes to selected entries of tib 1 of window 1
	if the_notes is not equal to {} then
		if (count of the_notes) is equal to 1 then
			repeat with the_note in the_notes
				set current_title to name of the_note
				set current_content to rich text of the_note
				set current_tags_text to my listSpacer(tags of the_note)
				set current_url to uri representation of the_note
				set current_duedate to date due of the_note
				set current_project to category of the_note
			end repeat
		end if
	end if
end tell

-- Bodge to handle an empty due date
try
	set x to count of current_duedate
on error
	set current_duedate to ""
end try

-- display dialog current_tags_text

set _TempFile1 to ((path to temporary items folder) & "iGTDJournlerTitle.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDJournlerURL.txt") as text
set _TempFile3 to ((path to temporary items folder) & "iGTDJournlerNote.txt") as text
set _TempFile4 to ((path to temporary items folder) & "iGTDJournlerKeywords.txt") as text
set _TempFile5 to ((path to temporary items folder) & "iGTDJournlerDueDate.txt") as text
set _TempFile6 to ((path to temporary items folder) & "iGTDJournlerProject.txt") as text

my sendToiGTD(_TempFile1, current_title)
my sendToiGTD(_TempFile2, current_url)
my sendToiGTD(_TempFile3, current_content)
my sendToiGTD(_TempFile4, current_tags_text)
my sendToiGTD(_TempFile5, current_duedate)
my sendToiGTD(_TempFile6, current_project)

on sendToiGTD(the_file, the_contents)
	try
		close access file the_file
	end try
	try
		open for access file the_file with write permission
		set eof file the_file to 0 -- clear the file contents
		write the_contents to file the_file
		close access file the_file
	end try
end sendToiGTD

on listSpacer(some_text)
	set the_text to ""
	set the_spacer to "," as Unicode text
	-- This should handle an undefined input
	try
		set some_list to words in some_text
		repeat with list_item in some_list
			set the_text to the_text & list_item as Unicode text
			set the_text to the_text & the_spacer
		end repeat
	end try
	return the_text
end listSpacer